Subject: Rename 'Vendor' to 'Libraries'
Description

In accordance with our 'naming should make sense' principle, it has been discussed to call the standard composer directory 'Vendor'
something else.

The reason is that even though 'Vendor' is kind of industry standard for the placement of 3rd party packages, The TYPO3-Flow (and
related) packages are actually 3rd party in relation to the locally installed project, and the consistent thing would then be to put all
those packages in the 'Vendor' dir as well.

Using the word 'Libraries' is thus more meaningful in the context, and since we are not following standard Composer
directory-structure anyway, it is not really breaking any conventions.

Associated revisions
Revision c46b3c34 - 2012-10-15 13:33 - Christian Jul Jensen

[TASK] Rename Vendor to Libraries

Change-Id: Idba0a929ec2372d4a24f6ab6f90f79b44994e52b
Resolves: #42013

History
#1 - 2012-10-15 13:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15524

#2 - 2012-10-18 16:29 - Christian Jul Jensen
- Status changed from Under Review to Resolved

Has been merged, not sure why the ticket wasnt updated
